Page MenuHomePhabricator

AS report crashes on generation
Closed, ResolvedPublic

Description

The April data didn't generate properly, stopping while processing Brazil data:

2019-05-01 12:20:55,623 - ASORanking - DEBUG - 47 whitelisted ASNs for cellular
Traceback (most recent call last):
  File "/srv/deployment/performance/asoranking/asoranking.py", line 334, in <module>
    aso.run()
  File "/srv/deployment/performance/asoranking/asoranking.py", line 33, in run
    self.generate_report()
  File "/srv/deployment/performance/asoranking/asoranking.py", line 322, in generate_report
    f.write('%s\t%s\t%s\t%s\n' % (country_name, country, label, '\t'.join(map(str, ranking_tuple))))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xd4' in position 5: ordinal not in range(128)

Event Timeline

Gilles created this task.May 27 2019, 4:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2019, 4:10 AM
Gilles triaged this task as Medium priority.May 27 2019, 4:11 AM

Change 512622 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Attempt to fix unicode issue on Brazil data

https://gerrit.wikimedia.org/r/512622

Change 512622 merged by jenkins-bot:
[performance/asoranking@master] Attempt to fix unicode issue on Brazil data

https://gerrit.wikimedia.org/r/512622

Gilles changed the task status from Stalled to Open.May 27 2019, 10:17 PM

Change 512772 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Skip more types of broken IPs

https://gerrit.wikimedia.org/r/512772

Change 512772 merged by jenkins-bot:
[performance/asoranking@master] Skip more types of broken IPs

https://gerrit.wikimedia.org/r/512772

Mentioned in SAL (#wikimedia-operations) [2019-05-27T22:19:03Z] <gilles@deploy1001> Started deploy [performance/asoranking@d0c156e]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-27T22:19:09Z] <gilles@deploy1001> Finished deploy [performance/asoranking@d0c156e]: T224388 (duration: 00m 05s)

Change 512773 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Some tuple fields are integers

https://gerrit.wikimedia.org/r/512773

Change 512773 merged by jenkins-bot:
[performance/asoranking@master] Some tuple fields are integers

https://gerrit.wikimedia.org/r/512773

Mentioned in SAL (#wikimedia-operations) [2019-05-27T22:52:04Z] <gilles@deploy1001> Started deploy [performance/asoranking@bacfc37]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-27T22:52:09Z] <gilles@deploy1001> Finished deploy [performance/asoranking@bacfc37]: T224388 (duration: 00m 05s)

Change 512884 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Fix typo

https://gerrit.wikimedia.org/r/512884

Change 512884 merged by jenkins-bot:
[performance/asoranking@master] Fix typo

https://gerrit.wikimedia.org/r/512884

Mentioned in SAL (#wikimedia-operations) [2019-05-28T12:40:45Z] <gilles@deploy1001> Started deploy [performance/asoranking@157c25f]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-28T12:40:51Z] <gilles@deploy1001> Finished deploy [performance/asoranking@157c25f]: T224388 (duration: 00m 06s)

Change 512887 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Integers need to be converted to strings as well

https://gerrit.wikimedia.org/r/512887

Change 512887 merged by jenkins-bot:
[performance/asoranking@master] Integers need to be converted to strings as well

https://gerrit.wikimedia.org/r/512887

Mentioned in SAL (#wikimedia-operations) [2019-05-28T12:50:53Z] <gilles@deploy1001> Started deploy [performance/asoranking@1c60db1]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-28T12:51:00Z] <gilles@deploy1001> Finished deploy [performance/asoranking@1c60db1]: T224388 (duration: 00m 04s)

Change 512893 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/asoranking@master] Only deal with utf-8 until writing to the file

https://gerrit.wikimedia.org/r/512893

Change 512893 merged by jenkins-bot:
[performance/asoranking@master] Only deal with utf-8 until writing to the file

https://gerrit.wikimedia.org/r/512893

Mentioned in SAL (#wikimedia-operations) [2019-05-28T13:31:49Z] <gilles@deploy1001> Started deploy [performance/asoranking@1c60db1]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-28T13:31:53Z] <gilles@deploy1001> deploy aborted: T224388 (duration: 00m 01s)

Mentioned in SAL (#wikimedia-operations) [2019-05-28T13:31:58Z] <gilles@deploy1001> Started deploy [performance/asoranking@60369cc]: T224388

Mentioned in SAL (#wikimedia-operations) [2019-05-28T13:32:02Z] <gilles@deploy1001> Finished deploy [performance/asoranking@60369cc]: T224388 (duration: 00m 03s)

kchapman moved this task from Inbox to Doing on the Performance-Team board.May 28 2019, 7:58 PM

Change 513032 had a related patch set uploaded (by Gilles; owner: Gilles):
[performance/docroot@master] Update with fixed April AS report

https://gerrit.wikimedia.org/r/513032

Change 513032 merged by jenkins-bot:
[performance/docroot@master] Update with fixed April AS report

https://gerrit.wikimedia.org/r/513032

Gilles closed this task as Resolved.May 29 2019, 7:35 AM